/* feuille de style des tableaux tablesaw */

.gridview {
    width:100%
}

.gridview>tbody {
    vertical-align: top;
}

.gridview tr:nth-child(odd) {
    background-color:white
}
.gridview tr:nth-child(even) {
    background-color:#eee
}
.gridview tr.vide {
    background-color:transparent
}
.gridview>tbody>tr:not(.vide):hover {
    background-color:#ddd
}
.gridview tr.entete {
    background-color:#eee
}
.gridview .entete>th[data-tablesaw-sortable-col]:hover {
    background-color: #ddd;
}
.tablesaw thead tr:first-child th {
    vertical-align: middle;
}
.gridview .tablesaw-cell-persist {
    position:relative;
    box-shadow: 3px 0 4px -1px rgba(0, 0, 0, 0.1);
}

.gridview tbody tr, .gridview tr.entete {
    border-color: #dfdfdf;
    border-style: solid;
    border-width: 1px;
}

.tablesaw-advance-dots li i {
    background: #0E3083;
}

.gridview td, .gridview th {
    border:none;
    padding:5px;
}

.gridview td {
    font-size:11px;
}

.vide {
    color:gray;
}

    .vide td {
        border:none;
    }

tr.row-error, tr.row-error>td {
    background-color: #f3b1b1;
}
tr.row-avert, tr.row-avert>td {
    background-color: #f9ad77;
}

.tablesaw-bar .tablesaw-advance a.tablesaw-nav-btn {
    border-color: #0E3083;
    background-image:none;
    background-color:#0E3083;
    border-radius:0;
}
.tablesaw-bar .tablesaw-advance a.tablesaw-nav-btn.left:before {
    top:auto;
    border-right: 5px solid white;
}
.tablesaw-bar .tablesaw-advance a.tablesaw-nav-btn.right:before {
    top:auto;
    border-left: 5px solid white;
}
.tablesaw-enhanced .tablesaw-bar .btn:active, .tablesaw-enhanced .tablesaw-bar .btn:focus, .tablesaw-enhanced .tablesaw-bar .btn:hover {
    background-color: #44433c;
    border-color: #363530;
}
.tablesaw th, .tablesaw td {
    padding:0.25em;
}

.pagination {
    background-color:white !important;
    display:table-row;
    border-radius:0
}
    .pagination td {
        font-size: 16px;
    }
    .pagination * {
        border:none !important;
    }

.tablesaw-sortable th.tablesaw-sortable-head button {
    height: 100%;
    padding:0;
}

.tablesaw-sortable th.tablesaw-sortable-head, .tablesaw-sortable tr:first-child th.tablesaw-sortable-head {
    padding: 5px;
}

@media (min-width: 40em) {
    .tablesaw td {
        line-height:initial;
    }
}